Foreman - Bug #28855

Database template finder ignores taxonomy
01/24/2020 01:17 PM - Lukas Zapletal

Status: Rejected
Priority: Normal
Assignee: Lukas Zapletal
Category: Templates

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7386
Description

When unattended controller renders a template, it finds it in a correct taxonomy in method provisioning_template, but then it is
passed into the renderer outside of the taxonomy block in TemplateRendering#render_template. Therefore all snippets being loaded
via SnippetRendering#snippet (source.find_snippet(name)) is called without Taxonomy handling (basically unscoped SQL query).
This is possibly a security issue as well when all snippets are essentially shared across all organizations even when taxonomy is not

set like that.

History

#1 - 01/24/2020 01:20 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/7386 added

#2 - 04/02/2020 12:33 PM - Lukas Zapletal
- Status changed from Ready For Testing to Rejected
